Jump to content

Assista click.png tectoy.png

C6 chamada_c6.png botao.png

Uso de DLLs Antigas


doidopb
Go to solution Solved by Daniel Simoes,
  • Este tópico foi criado há 437 dias atrás.
  • Talvez seja melhor você criar um NOVO TÓPICO do que postar uma resposta aqui.

Recommended Posts

  • Membros Pro

Olá a todos,

Ontem fiz uma atualização de meus componentes, depois de bastante tempo desatualizado.

A princípio está tudo certo, mas reparei que há mais tempo ainda não atualizo as DLLs em meus clientes, por exemplo a libXML2 está datada de 19/05/2018 e a OpenSSL está na versão 1.0.2.13.

Mesmo com as DLLs desatualizadas não tenho nenhum problema no envio de notas e uso dos componentes do ACBr. 

Posso ter algum problema no futuro não atualizando tais DLLs? Quais benefícios tais atualizações irão trazer?

Desde já agradeço a atenção de todos

Link to comment
Share on other sites

  • Fundadores
  • Solution

como a OpenSSL1.0.X já suporta TLS12, não há muita necessidade de atualização...

Promovemos a compatibilidade com OpenSSL 1.1.x, porque no mundo Linux, é difícil achar a versão 1.0.x

  • Thanks 1
Consultor SAC ACBr

Daniel Simões de Almeida
O melhor TEF, é com o Projeto ACBr - Clique e Conheça
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Link to comment
Share on other sites

  • Membros Pro
18 minutos atrás, BigWings disse:

Sobre a OpenSSL leia aqui:

 

Olá meu amigo, já tinha lido a respeito e aparentemente a 1.0.2.13 suporta o TLS 1.2, pois uso sem problemas...

Meu receio é surgir de repente algum outro protocolo que necessite de uma versão mais moderna.

E em relação a libXML2? Para que serve essa mesmo?

Edited by doidopb
Link to comment
Share on other sites

  • Fundadores

a LibXML2 é usada para a validação de schemas.. e usaremos ela no futuro, para ler e gerar XML... ela está estável, e não deve ter atualizações necessárias...

Você pode promover a atualização para OpenSSL 1.1.1, e testar...

Verifique que essa versão é compilada com uma versão mais nova do Visual C++.. então pode ser necessária a instalação de um novo RunTime

https://github.com/abbodi1406/vcredist/releases

 

Consultor SAC ACBr

Daniel Simões de Almeida
O melhor TEF, é com o Projeto ACBr - Clique e Conheça
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Link to comment
Share on other sites

  • Moderadores
1 minuto atrás, doidopb disse:

Olá meu amigo, já tinha lido a respeito e aparentemente a 1.0.2.13 suporta o TLS 1.2, pois uso sem problemas...

Por enquanto eu também estou usando a 1.0.2 por causa das dependências da 1.1.1.

2 minutos atrás, doidopb disse:

E em relação a libXML2? Para que serve essa mesmo?

Assinatura e validação de XML

  • Thanks 1
Equipe ACBr BigWings
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr

 

 

Link to comment
Share on other sites

  • Membros Pro
3 minutos atrás, Daniel Simoes disse:

a LibXML2 é usada para a validação de schemas.. e usaremos ela no futuro, para ler e gerar XML... ela está estável, e não deve ter atualizações necessárias...

Você pode promover a atualização para OpenSSL 1.1.1, e testar...

Verifique que essa versão é compilada com uma versão mais nova do Visual C++.. então pode ser necessária a instalação de um novo RunTime

https://github.com/abbodi1406/vcredist/releases

 

Você disse que a libXML2 está estável, mas a minha é de 2018... Está estável desde então?

Particularmente não tenho problemas

Link to comment
Share on other sites

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.